from __future__ import division
from past.utils import old_div
import time


def get_days_since_epoch():
    days_since_epoch = int(old_div(time.time(), 86400))
    return days_since_epoch


def increment_kpi_metric(redis_conn, redis_key, increment_value=1):
    try:
        # create or increment redis key
        new_value = redis_conn.incrby(redis_key, increment_value)
        if new_value == increment_value:
            # new key
            redis_conn.expire(redis_key, 86400 * 21)  # 21 day timeout
            return False

    except Exception:
        return -1
