import os

KUBERNETES_ENABLED = os.environ.get("KUBERNETES_ENABLED", "false").lower() == "true"
MCS = os.environ.get("MCS", "false").lower() == "true"

SERVICE_TRANSLATION = {
    "auth": "auth",
    "avira_updater": "avira-updater",
    "cb-server-module-incoming": "cbsm-incoming",
    "cb-server-module-process": "cbsm-process",
    "cbfeed": "cbfeed",
    "cbfeed_mgmt": "cbfeed-mgmt",
    "cbfeed_ops": "cbfeed-ops",
    "customer": "customer",
    "defense": "defense-internal" if MCS else "defense",
    "fqp": "fqp",
    "hashreputation": "reputation-hash",
    "horizon": "horizon",
    "kpi": "kpi",
    "reputation": "reputation",
    "upload": "upload",
    "ubs_analysis": "ubs-analysis-frontend",
    "ubs_frontend": "ubs-frontend",  # TODO this is only needed for integration testing.
    "ubs_yara_analysis": "ubs-yara-analysis",
    "ubs": "ubs-horizon",
    "yara": "yara",
}
