from ...dto import Dto


class CustomerAccess(Dto):
    def __init__(self, sha256=None, status_code=None, cust_ix_link=None, message=""):
        self.sha256 = sha256
        self.status_code = status_code
        self.cust_ix_link = cust_ix_link
        self.message = message


class CustLinkDetails(Dto):
    def __init__(
        self, sha256=None, cust_id=None, cust_ix_link_id=None, file_index_id=None
    ):
        self.sha256 = sha256
        self.cust_id = cust_id
        self.cust_ix_link_id = cust_ix_link_id
        self.file_index_id = file_index_id
